function var = add_saliency_vdp(var, hdrIm, hdrscene, feature_names)
% ADD_SALIENCY_VDP Function for extracting the VDP and saliency maps

addpath(genpath(fullfile(pwd, 'simplesal')));
addpath(genpath(fullfile(pwd, 'hdr-vdp')));

% extract saliency map
param = default_pami_param;
param.mapWidth = size(hdrIm,2);
saliencyMap = simpsal(reinhard02(hdrIm),param);

% extract hdr-vdp
imSet = hdrscene.imSet;
res = cell(numel(imSet), 1);
pmap = zeros([size(imSet{1},1) size(imSet{1},2) numel(imSet)]);
        

for n=1:numel(imSet)
    reference = imSet{n};
    warning('off', 'all');
    res{n} = hdrvdp(hdrIm / mean(hdrIm(:)), im2double(reference) / mean(mean(mean(im2double(reference)))), 'rgb-bt.709', 30);
    warning('on', 'all');
    pmap(:,:,n) = res{n}.P_map;
end
vdpmap = min(pmap,[],3);

var.saliencyMap = saliencyMap;
var.vdpmap = vdpmap;

for i = 1:numel(feature_names)
    if strcmp(feature_names{i}, 'dynRegionDR') || strcmp(feature_names{i}, 'vdpmap') 
        continue
    end
    var.([feature_names{i} 's']) = (var.(feature_names{i}) .* saliencyMap).^0.5 ;
end
 

end
