hdrScene = HDRScene(fullfile(pwd, 'sampleExposureSet'));
hdrIm = hdrread(fullfile(pwd, 'sampleHDR', 'im.hdr'));
tau = 0.30;
pyr_weight = 4;
var = dqm(hdrScene.imSet, hdrScene.expT, hdrIm, tau, pyr_weight);
% add saliency and vdp maps, multiply GDM and GMM maps with saliency
var = add_saliency_vdp(var, hdrIm, hdrScene, {'gradDirDiff', 'gradMagDiff'}); 

figure, imshow(var.bMap);
title('Blending Map (BM)');
figure, imshow(var.gradDirDiff);
title('Grad. Direction Inconsistency Map (GDM)');
figure, imshow(var.gradMagDiff);
title('Grad. Magnitude Inconsistency Map (GMM)');
figure, imshow(var.saliencyMap);
title('Saliency Map');
figure, imshow(var.vdpmap);
title('Visual Difference Map (HDR-VDP2.2)');
fprintf('Dynamic range metric (DM): %g\n', var.dynRegionDR);

