function [ out ] = processor( block_struct, numIm, numBands, options )
%PROCESSOR Block processor for estimating coefficients

sz = block_struct.blockSize;

X = block_struct.data(:,:,1:numBands);
X = X(:);

D = reshape(block_struct.data(:,:,4:end), [sz(1)*sz(2)*numBands numIm]);

[alpha, resnorm] = lsqnonneg(D,X,options);

out = reshape(alpha, [1 1 numel(alpha)]);
out(:,:,end+1) = resnorm;

end

